What Operating Systems do iConnectivity interfaces work with?

At iConnectivity we strive to make our interfaces work with as many different audio, MIDI, and computer systems as possible. Of course, it's not possible to support everything. In general we try to support current Operating Systems as much as we can, but we cannot support Operating Systems that are End Of Life or abandoned by their own manufacturers, since these Operating Systems are often still buggy and insecure.

However having said that, our interfaces may work on older unsupported Operating Systems - we just can't guarantee full functionality and we cannot offer support for them. 

In general we no longer actively support 32-bit Operating Systems. 32-bit Operating Systems are limited to a maximum of around 3.5 GB of RAM, which is really too little to hold a modern Operating System plus a standard Digital Audio Workstation and be able to work effectively. All computers made during the past 10 years are fully 64-bit capable, and we strongly advise any user who is still using a 32-bit OS to upgrade to a modern 64-bit OS as soon as possible. Also note that our Auracle control software only works on 64-bit systems - there is no 32-bit version of this app.

The following list shows which Operating Systems we currently officially support.

Windows

Microsoft no longer support any release previous to Windows 7. Earlier releases may have serious security flaws and other issues and it is strongly recommended that users upgrade from them. Also note that mainstream support for Windows 7 ended in 2015, and so it is already on "extended" support, which will run until January 2020. After that date Windows 7 will become unsupported, so we recommend that users currently running Windows 7 plan to upgrade to Windows 10 before 2020 at the latest.

In general we have found that upgrading to Windows 10 solves many problems that Windows users may be having with audio and MIDI, and we strongly recommend that our users upgrade to Windows 10 if at all possible. Note that you may be able to still upgrade your current Windows system for free - see this article for details.

Supported Windows versions are:
  • Windows 7 64-bit
  • Windows 8.1 64-bit
  • Windows 10 64-bit

Mac OS

In general Apple only support their current Operating System release, plus the previous two releases. Anything older than that is considered End of Life. That means we can officially only guarantee support for OS X 10.12 and higher; however we currently try to support 10.10 and 10.11 as well. Most iConnectivity software and hardware should work on previous releases, but is not guaranteed. Please note that our Auracle control software cannot work on any version of Mac OS prior to 10.11.  We strongly recommend that if you are still using a version of Mac OS prior to 10.12 that you upgrade as soon as possible.

Supported OS versions are:
  • OS X 10.10: Yosemite
  • OS X 10.11: El Capitan
  • Mac OS 10.12: Sierra
  • Mac OS 10.13: High Sierra
  • Mac OS 10.14: Mojave

iOS

We currently support iOS 8 and higher. As regards hardware Apple do not currently support any device with a processor earlier than the A7 i.e. anything earlier than the iPhone 5s or iPad Air. Earlier iPads that have been updated to iOS 8 or later should work with iConnectivity interfaces, though since they are now unsupported we can't guarantee compatibility.

Note: some users have experienced connection issues with iOS 10 and 11, particularly with the iPad Pro. However our preliminary testing indicates that iOS 12 seems to have solved these problems, so if you have been having issues we recommend that you update to iOS 12.

Supported OS versions are:
  • iOS 8
  • iOS 9
  • iOS 10
  • iOS 11
  • iOS 12

Linux

In general our interfaces are compatible with Linux, although our control software does not run on Linux. This means that we can officially only support iConnectivity interfaces that run without requiring control software. These are: All 3 of these interfaces should run fine out of the box, and are tested and working with Ubuntu 16.04. Please note that firmware updating will require the use of a standard MIDI File Player.

Our other multi-port interfaces also should work with Linux, however in these cases custom configuration will require the one-time use of an external Mac OS or Windows computer in order to use our Auracle control software. The Windows version of Auracle may work on Linux under the WINE compatibility layer if you want to give it a try, but we cannot guarantee successful operation. 

Android

Because of the multiplicity of Android devices available, it is impossible for us to guarantee full compatibility on all of them. However in general our interfaces should work with any device fitting the following criterion:
  • Android version 8 or higher
  • Android device supports OTG operation and is connected to the iConnectivity interface by an OTG cable
Fully supported interfaces include: *Operation with a ConnectAUDIO 2/4 requires the use of an externally powered OTG cable or hub.

Our other multi-port interfaces should also work with Android, however in these cases custom configuration and firmware updating will require the one-time use of an external Mac OS or Windows computer.